2004-11-24  Marcel Telka  <marcel@telka.sk>

	* src/cmd/reset.c: New file.
	* src/discovery.c (jtag_reset): Function changed to non-static.
	* src/cmd/Makefile.am (libcmd_a_SOURCES): Added reset.c.
	* src/cmd/cmd.c (cmds): Added cmd_reset.

2004-11-21  Marcel Telka  <marcel@telka.sk>

	* src/jtag.c (jtag_parse_stream, cleanup): New function.
	(jtag_parse_file): Replaced stream parsing algorithm with jtag_parse_stream() call. Removed support
		for special filename '-'.
	(main): Rewritten and improved startup sequence to distinguish between interactive invocation
		and stdin input (fixed bug 858535, thanks to Andrew Dyer for an idea).

2004-11-17  Marcel Telka  <marcel@telka.sk>

	* acinclude.m4: New file with VL_LIB_READLINE macro (removed dependency on ac-archive package).
	* autogen.sh: Removed acinclude call (removed dependency on ac-archive package).

2004-11-16  Marcel Telka  <marcel@telka.sk>

	* data/MANUFACTURERS: Added Lattice Semiconductors and IBM Semiconductors (patch 1012120, Jerome Debard).
	* data/ibm/PARTS: New file (patch 1012120, Jerome Debard).
	* data/ibm/ppc440gx/STEPPINGS: Ditto.
	* data/ibm/ppc440gx/ppc440gx: Ditto.
	* data/lattice/PARTS: Ditto.
	* data/lattice/lc4032v-tqfp48/STEPPINGS: Ditto.
	* data/lattice/lc4032v-tqfp48/lc4032v-tqfp48: Ditto.
	* data/lattice/m4a3-256.192-fpbga256/STEPPINGS: Ditto.
	* data/lattice/m4a3-256.192-fpbga256/m4a3-256.192-fpbga256: Ditto.
	* data/lattice/m4a3-64.32-tqfp48/STEPPINGS: Ditto.
	* data/lattice/m4a3-64.32-tqfp48/m4a3-64.32-tqfp48: Ditto.
	* data/Makefile.am (nobase_dist_pkgdata_DATA): Added new files.

2004-10-22  Marcel Telka  <marcel@telka.sk>

	* data/MANUFACTURERS: Added Sharp manufacturer (patch 886068, Marko Rößler).
	* data/Makefile.am (nobase_dist_pkgdata_DATA): Added new files (patch 886068, Marko Rößler).
	* data/sharp/PARTS: New file (patch 886068, Marko Rößler).
	* data/sharp/lh7a400/STEPPINGS: Ditto.
	* data/sharp/lh7a400/lh7a400: Ditto.
	* src/bus/lh7a400.c: Ditto.
	* src/bus/Makefile.am (libbus_a_SOURCES): Added lh7a400.c (patch 886068, Marko Rößler).
	* src/bus/buses.c (bus_drivers): Added lh7a400_bus (patch 886068, Marko Rößler).
	* src/bus/buses.h: Ditto.

2004-10-17  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_INIT): Changed version number to 0.6.
	(AM_GNU_GETTEXT_VERSION): Changed version number for gettext to 0.14.1.

2004-10-17  Marcel Telka  <marcel@telka.sk>

	* src/tap/cable/wiggler.c (nTRST): Changed pin value (patch 1040199, Andrew Dyer).
	(nSRESET): New pin value (patch 1040199, Andrew Dyer).
	(wiggler_init, wiggler_clock, wiggler_get_tdo, wiggler_set_trst): Changed nTRST to not inverted
		signal (patch 1040199, Andrew Dyer).

2004-09-21  Marcel Telka  <marcel@telka.sk>

	* data/intel/PARTS: Added support for different IXP425 frequency variants (patch 1030647, Trevor Man).

2004-08-24  Marcel Telka  <marcel@telka.sk>

	* src/bus/Makefile.am (libbus_a_SOURCES): Added ppc440gx_ebc8.c.
	* src/bus/buses.c (bus_drivers): Added ppc440gx_ebc8_bus (patch 1012154, Jerome Debard).
	* src/bus/buses.h: Ditto.
	* src/bus/ppc440gx_ebc8.c: New file (patch 1012154, Jerome Debard).

2004-08-20  Marcel Telka  <marcel@telka.sk>

	* src/bus/pxa2x0.c (pxa2x0_bus_init): New function.
	(pxa250_bus_prepare): Replaced bus initialization sequence with pxa2x0_bus_init() call.
	(pxa2x0_bus_area): Added pxa2x0_bus_init() call.

2004-08-20  Marcel Telka  <marcel@telka.sk>

	* src/tap/Makefile.am (libtap_a_SOURCES): Added cable/lattice.c.
	* src/tap/cable.c (cable_drivers): Added lattice_cable_driver (patch 1012138, Jerome Debard).
	* src/tap/cable/lattice.c: New file (patch 1012138, Jerome Debard).

2004-08-19  Marcel Telka  <marcel@telka.sk>

	* src/bus/Makefile.am (libbus_a_SOURCES): Added tx4925.c (patch 972625, Andrew Dyer).
	* src/bus/buses.c (bus_drivers): Added tx4925_bus (patch 972625, Andrew Dyer).
	* src/bus/buses.h: Ditto.
	* src/bus/tx4925.c: New file (patch 972625, Andrew Dyer).

2004-08-17  Marcel Telka  <marcel@telka.sk>

	* data/MANUFACTURERS: Added Toshiba manufacturer (patch 972621, Andrew Dyer).
	* data/Makefile.am (nobase_dist_pkgdata_DATA): Added new files (patch 972621, Andrew Dyer).
	* data/xilinx/PARTS: Added XCR3032XL-VQ44 entry (patch 972621, Andrew Dyer).
	* data/xilinx/xcr3032xl-vq44/STEPPINGS: New file (patch 972621, Andrew Dyer).
	* data/xilinx/xcr3032xl-vq44/xcr3032xl-vq44: Ditto.
	* data/toshiba/PARTS: Ditto.
	* data/toshiba/tx4925/STEPPINGS: Ditto.
	* data/toshiba/tx4925/tx4925: Ditto.
	* data/toshiba/tx4926/STEPPINGS: Ditto.
	* data/toshiba/tx4926/tx4926: Ditto.

2004-08-17  Marcel Telka  <marcel@telka.sk>

	* data/Makefile.am (nobase_dist_pkgdata_DATA): Added new files.
	* data/philips/PARTS: Added XCR3128XL-VQ100 entry (patch 1010714, Michael Lauer).
	* data/xilinx/PARTS: Added directory for XCR3128XL-VQ100 entry (patch 1010714, Michael Lauer).
	* data/philips/xcr3128xl-vq100/STEPPINGS: New file (patch 1010714, Michael Lauer).
	* data/philips/xcr3128xl-vq100/xcr3128xl-vq100: Ditto.
	* data/xilinx/xcr3128xl-vq100/xcr3128xl-vq100: Ditto.

2004-08-16  Marcel Telka  <marcel@telka.sk>

	* src/bus/pxa2x0.c (bus_params_t): Added new member: inited.
	(INITED): New macro.
	(pxa2x0_bus_new): Removed BOOT_DEF initialization.
	(pxa250_bus_prepare): Added BOOT_DEF initialization.

2004-08-15  Marcel Telka  <marcel@telka.sk>

	* include/jtag.h (detect_parts): Changed return type.
	* src/detect.c (detect_parts): Changed return value to return number of detected parts.
	* src/cmd/detect.c (cmd_detect_run): Added reset of the chain->parts to NULL before
		detect_parts() call. Ignored detect_parts() return value.

2004-08-13  Marcel Telka  <marcel@telka.sk>

	* src/jtag.c: Added missing locale.h include (patch 986414, Martin Buck).

2004-08-11  Marcel Telka  <marcel@telka.sk>

	* Makefile.rules (RECURSIVE_TARGETS, lint-recursive): Removed.
	(lint): Added command to run recursive make.
	(.PHONY): Removed lint-recursive.

2004-06-13  Marcel Telka  <marcel@telka.sk>

	* data/broadcom/PARTS: Added BCM4712 entry (Alan Wallace).
	* data/broadcom/bcm4712/STEPPINGS: New file (Alan Wallace).
	* data/broadcom/bcm4712/bcm4712: Ditto.

2004-01-20  Marcel Telka  <marcel@telka.sk>

	* acinclude.m4: File removed.
	* autogen.sh: Added acinclude call.

2003-12-20  Marcel Telka  <marcel@telka.sk>

	* src/bus/Makefile.am (libbus_a_SOURCES): Added au1500.c.
	* src/bus/au1500.c: New file (patch 853883, Zhang Wei).
	* src/bus/buses.c (bus_drivers): Added au1500_bus (patch 853883, Zhang Wei).
	* src/bus/buses.h: Added au1500_bus.

2003-11-02  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_INIT): Changed version number to 0.5.2.

	* data/Makefile.am (nobase_dist_pkgdata_DATA): Added motorola/mpc8245/1.2.
	* data/motorola/mpc8245/1.2: New file.
	* src/bus/mpc824x.c: Ditto.
	* src/bus/Makefile.am (libbus_a_SOURCES): Added mpc824x.c.
	* src/bus/buses.c (bus_drivers): Added mpc824x_bus.
	* src/bus/buses.h (mpc824x_bus): Added bus declaration.

	* include/bsbit.h (bsbit_alloc): Changed parameter name (signals -> signal).
	* src/part/bsbit.c (bsbit_alloc): Changed parameter behaviour.
	* src/cmd/bit.c (cmd_bit_run): Passed exact signal to bsbit_alloc() instead of list of signals.

	* src/jtag.c (main): Added cfi_array deallocation.

	* src/flash.c (set_flash_driver): Used global cfi_array variable to set flash driver.
	(flashcheck): Function removed.
	All function calls replaced by set_flash_driver().
	(flashmsbin): Removed local cfi_array variable.
	(flashmem): Removed local cfi_array variable. Fixed bug with one more block erase while programming
		data at end of previous block.
	(flasherase): Removed local cfi_array variable. Fixed block number calculation.
	* src/readmem.c (readmem): Fixed bug while reading address near to end of 32 bit address range.
	* src/bus/pxa2x0.c (pxa2x0_bus_new): Added BSR sampling before BOOT_DEF initialization (bugfix).

2003-10-23  Marcel Telka  <marcel@telka.sk>

	* include/bssignal.h (salias_t): Added new type.
	(salias_alloc, salias_free): Adde new function prototypes.
	* include/part.h (struct part): Added new structure member 'saliases'.
	* src/cmd/Makefile.am (libcmd_a_SOURCES): Added salias.c.
	* src/cmd/cmd.c (cmds): Added cmd_salias.
	* src/cmd/salias.c: New file.
	* src/part/part.c (part_alloc): Added saliases initialization.
	(part_free): Added saliases deallocation.
	(part_find_signal): Added signal aliases searching.
	* src/part/signal.c (salias_alloc, salias_free): New functions.

2003-10-20  Marcel Telka  <marcel@telka.sk>

	* data/hitachi/hd64465/hd64465: Completed BSR bits declaration.

2003-10-20  Marcel Telka  <marcel@telka.sk>

	* data/Makefile.am (nobase_dist_pkgdata_DATA): Added hitachi/sh7729/STEPPINGS and hitachi/sh7729/sh7729.
	* data/hitachi/sh7729/STEPPINGS: New file (Beregnyei Balazs).
	* data/hitachi/sh7729/sh7729: Ditto.

2003-10-17  Marcel Telka  <marcel@telka.sk>

	* data/Makefile.am (nobase_dist_pkgdata_DATA): Added hitachi/hd64465/hd64465.
	* data/hitachi/hd64465/hd64465: New file.

2003-10-13  Marcel Telka  <marcel@telka>

	* data/intel/ixp425/STEPPINGS: Added B0 stepping.

2003-10-11  Marcel Telka  <marcel@telka>

	Version 0.5.1 released.

2003-09-23  Marcel Telka  <marcel@telka.sk>

	* src/flash.c (flash_drivers): Added amd_16_flash_driver (Bradley D. LaRonde).
	(find_block): New function (Bradley D. LaRonde).
	(flashmem): Added block calculations using exact CFI data (Bradley D. LaRonde).

	* src/tap/cable/triton.c (triton_init): Removed unused variable 'data'.

2003-09-15  Marcel Telka  <marcel@telka.sk>

	* configure.ac: Fixed spelling (patch 805108, Andreas Mohr).
	* src/jtag.c (main): Ditto.
	* src/cmd/discovery.c (cmd_discovery_help, cmd_discovery): Ditto.
	* src/cmd/flashmem.c (cmd_flashmem_help): Ditto.

	* src/tap/cable/ei012.c: Changed comment (patch 805108, Andreas Mohr).
	* src/tap/cable/keithkoep.c: Ditto.
	* src/tap/cable/mpcbdm.c: Ditto.

2003-09-14  Marcel Telka  <marcel@telka.sk>

	* src/tap/cable/triton.c: New file (patch 805103, Andreas Mohr).
	* src/tap/Makefile.am (libtap_a_SOURCES): Added cable/triton.c (patch 805103, Andreas Mohr).
	* src/tap/cable.c (cable_drivers): Added triton_cable_driver member (patch 805103, Andreas Mohr).
	* src/tap/cable/generic.h (PARAM_SRESET): New macro (patch 805103, Andreas Mohr).
	(generic_params_t): New structure member 'sreset' (patch 805103, Andreas Mohr).

	* configure.ac: Changed description for --with-include parameter (thanks to Andreas Mohr).

2003-09-12  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_CHECK_FUNCS): Added swprintf.
	* src/cmd/print.c (cmd_print_run): Added alternative implementation of the header printing using
		snprintf() for platforms without swprintf() function available.

2003-09-12  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_INIT): Changed version number to 0.5.1.

2003-09-11  Marcel Telka  <marcel@telka.sk>

	* src/tap/cable/wiggler.c (wiggler_init, wiggler_clock, wiggler_get_tdo, wiggler_set_trst): Fixed
		inverted TRST signal (see patch 799377 for more info, thanks to Mike Tesch for reporting).

2003-09-11  Marcel Telka  <marcel@telka.sk>

	* src/cmd/dr.c (cmd_dr_run): Added test for missing active instruction and data register (thanks to
		Mike Tesch for reporting).

2003-09-10  Marcel Telka  <marcel@telka.sk>

	* src/bus/bcm1250.c (bcm1250_bus_printinfo, bcm1250_bus): Fixed typo (compatibile->compatible) in
		output message (thanks to Andreas Mohr).
	* src/bus/ixp425.c (ixp425_bus_printinfo, ixp425_bus): Ditto.
	* src/bus/pxa2x0.c (pxa2x0_bus_printinfo, pxa2x0_bus): Ditto.
	* src/bus/s3c4510x.c (s3c4510_bus_printinfo, s3c4510_bus): Ditto.
	* src/bus/sa1110.c (sa1110_bus_printinfo, sa1110_bus): Ditto.
	* src/bus/sh7727.c (sh7727_bus_printinfo, sh7727_bus): Ditto.
	* src/bus/sh7750r.c (sh7750r_bus_printinfo, sh7750r_bus): Ditto.
	* src/bus/sh7751r.c (sh7751r_bus_printinfo, sh7751r_bus): Ditto.

2003-09-05  Marcel Telka  <marcel@telka.sk>

	* include/bus.h (bus_drivers): Added constant declaration.
	(new_sa1110_bus, new_pxa250_bus, new_ixp425_bus, new_sh7727_bus, new_sh7750r_bus, new_sh7751r_bus)
	(new_bcm1250_bus): Function declarations removed.
	* src/bus/buses.c (bus_drivers): New constant definition.
	* src/bus/buses.h: New file.
	* src/bus/Makefile.am (libbus_a_SOURCES): Added buses.h.

	* src/bus/bcm1250.c (bcm1250_bus_printinfo): Added new function parameter 'bus'.
	(bcm1250_bus): Changed structure type to bus_driver_t. Changed members.
	(new_bcm1250_bus): Function renamed ...
	(bcm1250_bus_new): ... to this one. Changed parameter list to void (and function body updated).
	* src/bus/ixp425.c (ixp425_bus_printinfo): Added new function parameter 'bus'.
	(ixp425_bus): Changed structure type to bus_driver_t. Changed members.
	(new_ixp425_bus): Function renamed ...
	(ixp425_bus_new): ... to this one. Changed parameter list to void (and function body updated).
	* src/bus/pxa2x0.c (pxa2x0_bus_printinfo): Added new function parameter 'bus'.
	(pxa250_bus): Structure transformed ...
	(pxa2x0_bus): ... to this constant (changed type to bus_driver_t, changed members).
	(new_pxa250_bus): Function renamed ...
	(pxa2x0_bus_new): ... to this one. Changed parameter list to void (and function body updated).
	* src/bus/s3c4510x.c (s3c4510_bus_printinfo): Added new function parameter 'bus'.
	(s3c4510_bus): Changed structure type to bus_driver_t. Changed members.
	(new_s3c4510_bus): Function renamed ...
	(s3c4510_bus_new): ... to this one. Changed parameter list to void (and function body updated).
	* src/bus/sa1110.c (sa1110_bus_printinfo): Added new function parameter 'bus'.
	(sa1110_bus): Changed structure type to bus_driver_t. Changed members.
	(new_sa1110_bus): Function renamed ...
	(sa1110_bus_new): ... to this one. Changed parameter list to void (and function body updated).
	* src/bus/sh7727.c (sh7727_bus_printinfo): Added new function parameter 'bus'.
	(sh7727_bus): Changed structure type to bus_driver_t. Changed members.
	(new_sh7727_bus): Function renamed ...
	(sh7727_bus_new): ... to this one. Changed parameter list to void (and function body updated).
	* src/bus/sh7750r.c (sh7750r_bus_printinfo): Added new function parameter 'bus'.
	(sh7750r_bus): Changed structure type to bus_driver_t. Changed members.
	(new_sh7750r_bus): Function renamed ...
	(sh7750r_bus_new): ... to this one. Changed parameter list to void (and function body updated).
	* src/bus/sh7751r.c (sh7751r_bus_printinfo): Added new function parameter 'bus'.
	(sh7751r_bus): Changed structure type to bus_driver_t. Changed members.
	(new_sh7751r_bus): Function renamed ...
	(sh7751r_bus_new): ... to this one. Changed parameter list to void (and function body updated).

	* src/cmd/cable.c (cmd_cable_run): Replaced bus->free() call with bus_free().
	* src/jtag.c (main): Ditto.

	* src/cmd/cmd.c (cmds): Added cmd_initbus.
	* src/cmd/detect.c (cmd_detect_run): Removed explicit bus driver detection.
	* src/cmd/initbus.c: New file.
	* src/cmd/Makefile.am (libcmd_a_SOURCES): Added initbus.c.

	* data/broadcom/bcm1250/bcm1250: Added 'initbus' command call.
	* data/hitachi/sh7727/sh7727: Ditto.
	* data/intel/ixp425/ixp425: Ditto.
	* data/intel/pxa250/pxa250: Ditto.
	* data/intel/pxa250/pxa250c0: Ditto.
	* data/intel/sa1110/sa1110: Ditto.
	* data/samsung/s3c4510b/s3c4510b: Ditto.

2003-09-04  Marcel Telka  <marcel@telka.sk>

	* configure.ac (CPPFLAGS): Added top_srcdir into include directory list.

2003-09-03  Marcel Telka  <marcel@telka.sk>

	* src/bus/pxa2x0.c (set_data_in, setup_data): Added new 'adr' parameter. Used real data bus width
		for data reading (based on patch 792591, thanks to Guennadi Liakhovetski).
	All function callers updated.
	(pxa250_bus_read_next, pxa250_bus_read_end): Used real data bus width for data reading (based on
		patch 792591, thanks to Guennadi Liakhovetski).
	* src/bus/sa1110.c (set_data_in, setup_data, sa1110_bus_read_next, sa1110_bus_read_end): Ditto.
	* src/bus/sh7727.c (set_data_in, setup_data, sh7727_bus_read_next, sh7727_bus_read_end): Ditto.

2003-08-28  Marcel Telka  <marcel@telka.sk>

	* src/bus/pxa2x0.c (pxa250_bus_read_next, pxa250_bus_read_end): Added support for BOOT_DEF register
		emulation.
	(pxa2x0_bus_area): Added Memory Mapped registers (Memory Ctl) area.

2003-08-28  Marcel Telka  <marcel@telka.sk>

	* src/readmem.c (readmem): Replaced bus_width macro with new bus_area.
	* src/bus/bcm1250.c (bcm1250_bus_width): Function removed.
	(bcm1250_bus_area): New function.
	* src/bus/ixp425.c (ixp425_bus_width): Function removed.
	(ixp425_bus_area): New function.
	* src/bus/pxa2x0.c (pxa250_bus_width): Function removed.
	(pxa2x0_bus_area): New function.
	* src/bus/s3c4510x.c (s3c4510_bus_width): Function removed.
	(s3c4510_bus_area): New function.
	* src/bus/sa1110.c (sa1110_bus_width: Function removed.
	(sa1110_bus_area): New function.
	* src/bus/sh7727.c (sh7727_bus_width): Function removed.
	(sh7727_bus_area): New function.
	* src/bus/sh7750r.c (sh7750r_bus_width): Function removed.
	(sh7750r_bus_area): New function.
	* src/bus/sh7751r.c (sh7751r_bus_width): Function removed.
	(sh7751r_bus_area): New function.
	* src/cmd/print.c (cmd_print_run): Added bus area printing.

2003-08-27  Marcel Telka  <marcel@telka.sk>

	* include/flash.h: Removed CFI_INTEL_ERROR_* macros.

2003-08-26  Marcel Telka  <marcel@telka.sk>

	* src/cmd/print.c (cmd_print_run): Fixed header print format.

2003-08-25  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_INIT): Changed package name.
	* src/jtag.c (main): Added full package name to banner.

2003-08-22  Marcel Telka  <marcel@telka.sk>

	* src/tap/cable/byteblaster.c (byteblaster_init): Added additional checks for valid ByteBlaster cable
		connection and enabled all variants of the cable (patch 793313, Rojhalat Ibrahim).

2003-08-22  Marcel Telka  <marcel@telka.sk>

	* MANUFACTURERS: Added Altera manufacturer (Rojhalat Ibrahim).
	* altera/PARTS: New file (Rojhalat Ibrahim).
	* altera/ep1c20f400/STEPPINGS: Ditto.
	* altera/ep1c20f400/ep1c20f400: Ditto.
	* altera/epm7128aetc100/STEPPINGS: Ditto.
	* altera/epm7128aetc100/epm7128aetc100: Ditto.
	* Makefile.am (nobase_dist_pkgdata_DATA): Added new Altera JTAG files.

2003-08-19  Marcel Telka  <marcel@telka.sk>

	Version 0.5 released.

2003-08-19  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AM_GNU_GETTEXT_VERSION): Changed version number to 0.12.1.

2003-08-19  Marcel Telka  <marcel@telka.sk>

	* src/bus/s3c4510x.c: Changed comment.

2003-08-19  Marcel Telka  <marcel@telka.sk>

	* src/bus/Makefile.am (libbus_a_SOURCES): Added s3c4510x.c.
	* src/bus/s3c4510x.c: New file (Jiun-Shian Ho).

2003-08-19  Marcel Telka  <marcel@telka.sk>

	* src/tap/parport/direct.c (direct_connect): Marked two indirect strings for translation.
	* src/tap/parport/ppdev.c (ppdev_connect): Ditto.

2003-08-19  Marcel Telka  <marcel@telka.sk>

	* sysdep.h: Renamed pkgcfg.h to config.h.
	* configure.ac (AM_CONFIG_HEADER): Ditto.

2003-08-19  Marcel Telka  <marcel@telka.sk>

	* src/jtag.c (main): Fixed setlocale() call.
	* Makefile.am (noinst_HEADERS): Renamed config.h -> sysdep.h.
	* config.h: Renamed this file ...
	* sysdep.h: ... to this one.
	Changed config.h -> sysdep.h include in all source files.

2003-08-18  Marcel Telka  <marcel@telka.sk>

	* data/samsung/s3c4510b/s3c4510b: Fixed some errors in instruction declarations (Jiun-Shian Ho).

2003-08-18  Marcel Telka  <marcel@telka.sk>

	* src/detect.c (detect_parts): Marked one forgotten string for translation.
	* src/cmd/bit.c (cmd_bit_run): Fixed control bit setup.
	* src/cmd/eraseflash.c (cmd_eraseflash_run): Changed formatting.
	(cmd_eraseflash_help): Updated help text.
	* src/cmd/flashmem.c (cmd_flashmem_help): Ditto.
	* src/cmd/readmem.c (cmd_readmem_help): Ditto.

2003-08-14  Marcel Telka  <marcel@telka.sk>

	* include/jtag.h (flasherase): New function prototype (patch 772267, Thomas Fröhlich).
	* src/flash.c (flasherase): New function (patch 772267, Thomas Fröhlich).
	* src/cmd/Makefile.am (libcmd_a_SOURCES): Added eraseflash.c (patch 772267, Thomas Fröhlich).
	* src/cmd/cmd.c (cmds): Added cmd_eraseflash (patch 772267, Thomas Fröhlich).
	* src/cmd/eraseflash.c: New file (patch 772267, Thomas Fröhlich).

2003-08-14  Marcel Telka  <marcel@telka.sk>

	* src/tap/chain.c (chain_shift_instructions): Moved test for parts without active instruction before
		shifting process.
	(chain_shift_data_registers): Moved test for parts without active instruction or data register before
		shifting process.

2003-08-14  Marcel Telka  <marcel@telka.sk>

	* data/Makefile.am (nobase_dist_pkgdata_DATA): Added samsung/s3c4510b/s3c4510b.
	* data/samsung/s3c4510b/s3c4510b: New file (Jiun-Shian Ho).

2003-08-14  Marcel Telka  <marcel@telka.sk>

	* data/MANUFACTURERS: Changed directory name for Philips.
	* data/Makefile.am (nobase_dist_pkgdata_DATA): Added philips/PARTS, philips/xcr3128xl-cs144/STEPPINGS, and
		philips/xcr3128xl-cs144/xcr3128xl-cs144.
	* data/philips/PARTS: New file.
	* data/philips/xcr3128xl-cs144/STEPPINGS: Ditto.
	* data/philips/xcr3128xl-cs144/xcr3128xl-cs144: Ditto.
	* include/part.h (MAXLEN_MANUFACTURER): Increased size to 25.

2003-08-13  Marcel Telka  <marcel@telka.sk>

	* include/jtag.h (detect_register_size): Added function declaration.
	* src/discovery.c (detect_register_size): Changed to non-static.
	* src/detect.c (detect_parts): Added support for parts without IDCODE.

2003-08-13  Marcel Telka  <marcel@telka.sk>

	* src/bus/sa1110.c (sa1110_bus_width): Removed bus width printing.
	* src/bus/sh7751r.c (sh7751r_bus_printinfo): New function.

2003-08-13  Marcel Telka  <marcel@telka.sk>

	* include/bus.h (new_sh7751r_bus): New function declaration (patch 773533, Matan Ziv-Av).
	* src/bus/Makefile.am (libbus_a_SOURCES): Added sh7751r.c (patch 773533, Matan Ziv-Av).
	* src/bus/sh7751r.c: New file (patch 773533, Matan Ziv-Av).

2003-08-13  Marcel Telka  <marcel@telka.sk>

	* include/part.h (struct part): Added new member 'id'.
	(part_alloc): Added new parameter 'id'.
	* src/detect.c (detect_parts): Added execution JTAG declarations as script.
	* src/jtag.c (get_token): Added support for in-line comments.
	* src/cmd/Makefile.am (libcmd_a_SOURCES): Added signal.c, bit.c, and register.c.
	* src/cmd/bit.c: New file.
	* src/cmd/register.c: Ditto.
	* src/cmd/signal.c: Ditto.
	* src/cmd/cmd.c (cmds): Added cmd_signal, cmd_bit, and cmd_register.
	* src/cmd/instruction.c (cmd_instruction_run, cmd_instruction_help, cmd_instruction): Added support
		for new instruction declaration.
	* src/part/parse.c: File removed.
	* src/part/Makefile.am (libpart_a_SOURCES): Removed parse.c.
	* src/cmd/detect.c (cmd_detect_run): Fixed possible NULL pointer dereference.
	* src/part/part.c (part_alloc): Added new parameter 'id'.
	(part_free): Addedd id deallocation.
	(part_print): Added support for instructions without data register.
	* src/tap/chain.c (chain_shift_data_registers): Ditto.

2003-08-13  Marcel Telka  <marcel@telka.sk>

	* data/broadcom/bcm5421s/bcm5421s: Fixed bad pin -> signal changes.

2003-08-13  Marcel Telka  <marcel@telka.sk>

	* data/broadcom/bcm1250/bcm1250: Changed pin -> signal keyword.
	* data/broadcom/bcm5421s/bcm5421s: Ditto.
	* data/hitachi/sh7727/sh7727: Ditto.
	* data/intel/ixp425/ixp425: Ditto.
	* data/intel/pxa250/pxa250: Ditto.
	* data/intel/pxa250/pxa250c0: Ditto.
	* data/intel/sa1110/sa1110: Ditto.
	* data/xilinx/xc2c256-tq144/xc2c256-tq144: Ditto.
	* data/xilinx/xcr3128xl-cs144/xcr3128xl-cs144: Ditto.
	* data/xilinx/xcr3256xl-ft256/xcr3256xl-ft256: Ditto.

2003-08-12  Marcel Telka  <marcel@telka.sk>

	* src/bsdl2jtag.c (endline): Added support for "downto" in bit vectors and "observe_only" (patch 787346,
		Brad Parker).

2003-08-11  Marcel Telka  <marcel@telka.sk>

	* src/cmd/Makefile.am (libcmd_a_SOURCES): Added include.c.
	* src/cmd/include.c: New file.
	* src/cmd/cmd.c (cmds): Added cmd_include.

2003-08-11  Marcel Telka  <marcel@telka.sk>

	* src/flash.c (flash_drivers): Added amd_8_flash_driver.

2003-08-11  Marcel Telka  <marcel@telka.sk>

	* include/bus.h (buses_t): Added new structure.
	* src/jtag.c (bus): Removed global variable.
	* src/bus/Makefile.am (libbus_a_SOURCES): Added buses.c.
	* src/bus/buses.c: New file.
	* src/bus/bcm1250.c (bcm1250_bus_printinfo): New function.
	* src/bus/ixp425.c (ixp425_bus_printinfo): Ditto.
	* src/bus/pxa2x0.c (pxa2x0_bus_printinfo): Ditto.
	* src/bus/sa1110.c (sa1110_bus_printinfo): Ditto.
	* src/bus/sh7727.c (sh7727_bus_printinfo): Ditto.
	* src/bus/sh7750r.c (sh7750r_bus_printinfo): Ditto.
	* src/cmd/Makefile.am (libcmd_a_SOURCES): Added bus.c.
	* src/cmd/bus.c: New file.
	* src/cmd/cmd.c (cmds): Added cmd_bus.
	* src/cmd/detect.c (cmd_detect_run): Added support for multiple buses detection.
	* src/cmd/print.c (cmd_print_run): Fixed header printing while syntax error. Added support for printing
		list of active buses.
	(cmd_print_help): Added new parameter 'bus'.

2003-08-11  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_INIT): Changed version number to 0.5.

	* include/chain.h (chain_t): Added active_part.
	* src/tap/chain.c (chain_alloc): Added active_part initialization.
	* include/part.h (parts_print): Removed 'header' parameter.
	* src/part/part.c (parts_print): Removed header printing.
	* src/cmd/print.c (cmd_print_run): Added header printg. Added new parameter 'chain' for print command.
	(cmd_print_help): Added new parameter 'chain'.
	* src/cmd/dr.c (cmd_dr_run, cmd_dr_help): Removed PART parameter.
	* src/cmd/get.c (cmd_get_run, cmd_get_help): Ditto.
	* src/cmd/instruction.c (cmd_instruction_run, cmd_instruction_help): Ditto.
	* src/cmd/set.c (cmd_set_run, cmd_set_help): Ditto.
	* src/cmd/Makefile.am (libcmd_a_SOURCES): Adde part.c.
	* src/cmd/part.c: New file.
	* src/cmd/cmd.c (cmds): Added cmd_part.

2003-07-25  Marcel Telka  <marcel@telka.sk>

	* data/Makefile.am (nobase_dist_pkgdata_DATA): Added broadcom/bcm3310/STEPPINGS and
		broadcom/bcm3310/bcm3310.
	* data/broadcom/PARTS: Added BCM3310.
	* data/broadcom/bcm3310/STEPPINGS: New file.
	* data/broadcom/bcm3310/bcm3310: Ditto.

2003-07-24  Marcel Telka  <marcel@telka.sk>

	* po/POTFILES.in: Removed missing files.
	* configure.ac: Removed VL_LIB_READLINE macro and moved it to ...
	* acinclude.m4: ... this new file.

2003-07-16  Marcel Telka  <marcel@telka.sk>

	* src/jtag.c (jtag_parse_line): Fixed invalid memory allocation size (core dump).

2003-07-01  Marcel Telka  <marcel@telka.sk>

	* include/bus.h (new_sh7750r_bus, new_bcm1250_bus): New function declarations (patch 753300, Matan Ziv-Av).
	* src/bus/Makefile.am (libbus_a_SOURCES): Added bcm1250.c and sh7750r.c (patch 753300, Matan Ziv-Av).
	* src/bus/bcm1250.c: New file (patch 753300, Matan Ziv-Av).
	* src/bus/sh7750r.c: Ditto.
	* src/cmd/detect.c (cmd_detect_run): Added bus driver for SH7750R and BCM1250 (patch 753300, Matan Ziv-Av).

2003-06-19  Marcel Telka  <marcel@telka.sk>

	* include/jtag.h (discovery): Removed 'filename' parameter.
	* src/discovery.c (TEST_COUNT): Changed test repeat count from 5 to 1.
	(detect_register_size): Removed 'f' parameter. Removed output messages.
	(jtag_reset): Removed sleep() calls.
	(discovery): Removed 'filename' parameter. Removed support for output to file. Simplified output
		messages.
	* src/cmd/discovery.c (cmd_discovery_run): Removed FILENAME parameter.
	(cmd_discovery_help): Updated help text.

2003-06-18  Marcel Telka  <marcel@telka.sk>

	* src/discovery.c (discovery): Removed explicit JTAG chain length detection. Changed starting of the DR
		size detection from all 1 instead all 0 for IR (patch 753298, Matan Ziv-Av).

2003-06-18  Marcel Telka  <marcel@telka.sk>

	* /src/flash.c (flash_drivers): Added 1 x 8 bit Intel Flash driver (patch 753295, Matan Ziv-Av).

2003-06-12  Marcel Telka  <marcel@telka.sk>

	* include/flash.h (flash_driver_t): Structure removed.
	(flash_erase_block, flash_unlock_block, flash_program, flash_readarray): Macro removed.
	* src/flash.c (set_flash_driver, flashcheck, flashmsbin, flashmem): Updated for new
		flash_driver_t declared in brux/flash.h in include module.

2003-06-10  Marcel Telka  <marcel@telka.sk>

	* include/Makefile.am (noinst_HEADERS): Removed cfi.h.
	* include/cfi.h: File removed.
	* src/flash.c: Updated include header files.

2003-06-10  Marcel Telka  <marcel@telka.sk>

	* src/bus/sh7727.c (bus_params_t): Added md3 and md4.
	(sh7727_bus_width): Moved to implementation using MD3 and MD4 (thanks to Rainer Dörken).
	(new_sh7727_bus): Added MD3 and MD4 signal searching (thanks to Rainer Dörken).

2003-06-10  Marcel Telka  <marcel@telka.sk>

	* src/bus/ixp425.c (ixp425_bus_width): Changed return value type (int -> unsigned int).
	* src/bus/pxa2x0.c (pxa250_bus_width): Ditto.
	* src/bus/sa1110.c (sa1110_bus_width): Ditto.
	* src/bus/sh7727.c (sh7727_bus_width): Ditto.

2003-06-06  Marcel Telka  <marcel@telka.sk>

	* src/bus/sh7727.c (bus_params_t): Fixed cs array length.
	(setup_address): Removed address shift by BASE.
	(sh7727_bus_read_end): Simplified CS handling.
	(new_sh7727_bus): Fixed CS signal searching (thanks to Rainer Dörken).

2003-06-03  Marcel Telka  <marcel@telka.sk>

	* include/cfi.h (detect_cfi): Macro removed.
	* src/flash.c (flashcheck): Renamed detect_cfi to cfi_detect.

2003-06-03  Marcel Telka  <marcel@telka.sk>

	* src/Makefile.am (jtag_LDADD): Added libbrux twice to resolve dependencies.
	* src/jtag.c: Fixed cmd.h include path.

2003-06-03  Marcel Telka  <marcel@telka.sk>

	* src/cmd/Makefile.am (libcmd_a_SOURCES): Removed quit.c, help.c, and detectflash.c.
	* src/cmd/cmd.c (cmd_run, cmd_params, cmd_get_number): Functions moved to module libbrux,
		file cmd/cmd.c.
	* src/cmd/detectflash.c: File moved to module libbrux, directory cmd.
	* src/cmd/help.c: Ditto.
	* src/cmd/quit.c: Ditto.

2003-06-03  Marcel Telka  <marcel@telka.sk>

	* include/Makefile.am (noinst_HEADERS): Added cmd.h.
	* include/cmd.h: New file.
	* src/cmd/Makefile.am (libcmd_a_SOURCES): Removed cmd.h.
	* src/cmd/cmd.h: File removed. Partially moved to include module (file brux/cmd.h).

	* src/cmd/detectflash.c (cmd_detectflash_help): Changed help text.

2003-06-03  Marcel Telka  <marcel@telka.sk>

	* src/readmem.c (detectflash): Function extracted to module libbrux, file flash/detectflash.c.

2003-06-03  Marcel Telka  <marcel@telka.sk>

	* include/jtag.h (detectflash, flashmem, flashmsbin): Declarations moved to include module,
		file brux/flash.h.

2003-06-03  Marcel Telka  <marcel@telka.sk>

	* src/cmd/cable.c (cmd_cable_run): Added bus deallocation.
	* src/cmd/detectflash.c (cmd_detectflash_run): Removed cable connection test.
	* src/cmd/flashmem.c (cmd_flashmem_run): Ditto.
	* src/cmd/peekpoke.c (cmd_peek_run, cmd_poke_run): Ditto.
	* src/cmd/readmem.c (cmd_readmem_run): Ditto.

2003-06-03  Marcel Telka  <marcel@telka.sk>

	* src/flash.c (flashmsbin, flashmem): Removed '\r' from translatable messages.
	* src/readmem.c (readmem): Ditto.

2003-06-03  Marcel Telka  <marcel@telka.sk>

	* src/cmd/Makefile.am (libcmd_a_SOURCES): Added peekpoke.c (patch 747447, Matan Ziv-Av).
	* src/cmd/cmd.c (cmds): Added peek and poke commands (patch 747447, Matan Ziv-Av).
	* src/cmd/peekpoke.c: New file (patch 747447, Matan Ziv-Av).
	* po/POTFILES.in: Updated.

	* include/bus.h (bus_t): Declaration moved to include module (brux/bus.h).
	* include/cfi.h (cfi_chip_t, cfi_array_t, cfi_array_free, detect_cfi): Declarations moved
		to include module (brux/cfi.h).

2003-06-02  Marcel Telka  <marcel@telka.sk>

	* Makefile.am (SUBDIRS): Added libbrux.
	* configure.ac (AC_CONFIG_FILES): Removed src/flash/Makefile.
	(AC_CONFIG_SUBDIRS): Added libbrux.
	* src/Makefile.am (SUBDIRS): Removed flash.
	(jtag_DEPENDENCIES): Removed flash/libflash.a, added ../libbrux/libbrux.a.
	(jtag_LDADD): Removed libflash, added libbrux.
	* src/flash/Makefile.am: File removed.
	* src/flash/amd.c: File moved to module libbrux, directory flash.
	* src/flash/cfi.c: Ditto.
	* src/flash/intel.c: Ditto.

2003-05-30  Marcel Telka  <marcel@telka.sk>

	* src/tap/parport/direct.c (direct_set_control): Inverted SELECT, AUTOFD, and STROBE
		signals (bug 745824).
	* src/tap/parport/ppdev.c (ppdev_set_control): Ditto.
	* src/tap/cable/mpcbdm.c (mpcbdm_init, mpcbdm_set_trst): Changed (inverted) TRST handling.
	(mpcbdm_clock, mpcbdm_get_tdo): Removed TRST setting.

2003-05-29  Marcel Telka  <marcel@telka.sk>

	Version 0.4 released.

2003-05-29  Marcel Telka  <marcel@telka.sk>

	* src/bsdl2jtag.c (main): Renamed 'pin' keyword to 'signal'.
	* src/part/parse.c (read_part): Added support for 'signal' keyword.

	* data/Makefile.am (nobase_dist_pkgdata_DATA): Added new files.
	* data/dec/PARTS: New file.
	* data/dec/sa1100/STEPPINGS: New file (thanks to Jachym Holecek).
	* data/dec/sa1100/sa1100: New file.

2003-05-28  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_INIT): Changed version number to 0.4.

	* src/cmd/frequency.c (cmd_frequency_run): Added support for printing current TCK frequency.
	(cmd_frequency_help): Updated help text.

	* po/POTFILES.in: Updated.
	* src/detect.c (find_record, detect_parts): Marked messages for translation.
	* src/discovery.c (detect_register_size, discovery): Ditto.
	* src/flash.c (set_flash_driver, flashcheck, flashmsbin, flashmem): Ditto.
	* src/readmem.c (readmem): Ditto.
	* src/flash/amd.c (amd_flash_print_info, amd_32_flash_driver): Ditto.
	* src/flash/intel.c (_intel_flash_print_info, intel_flash_erase_block, intel_flash_unlock_block)
	(intel_flash_program, intel_32_flash_driver, intel_16_flash_driver): Ditto.
	* src/tap/cable/arcom.c (arcom_cable_driver): Ditto.
	* src/tap/cable/byteblaster.c (byteblaster_cable_driver): Ditto.
	* src/tap/cable/dlc5.c (dlc5_cable_driver): Ditto.
	* src/tap/cable/ea253.c (ea253_cable_driver): Ditto.
	* src/tap/cable/ei012.c (ei012_cable_driver): Ditto.
	* src/tap/cable/keithkoep.c (keithkoep_cable_driver): Ditto.
	* src/tap/cable/mpcbdm.c (mpcbdm_cable_driver): Ditto.
	* src/tap/cable/wiggler.c (wiggler_cable_driver): Ditto.

2003-05-27  Marcel Telka  <marcel@telka.sk>

	* src/part/part.c (part_set_signal, part_get_signal): Moved variable declarations to beginning
		of a block (Matan Ziv-Av).

2003-05-26  Marcel Telka  <marcel@telka.sk>

	* include/bus.h (new_sh7727_bus): Added function declaration.
	* src/cmd/detect.c (cmd_detect_run): Added bus driver for Hitachi SH7727.
	* src/bus/Makefile.am (libbus_a_SOURCES): Added sh7727.c (patch 743140, Matan Ziv-Av).
	* src/bus/sh7727.c: New file (based on patch 743140, Matan Ziv-Av).

2003-05-26  Marcel Telka  <marcel@telka.sk>

	* include/chain.h (chain_shift_data_registers): Added new parameter `capture_output' (idea from
		patch 743146, Matan Ziv-Av).
	* src/tap/chain.c (chain_shift_data_registers): Ditto.
	All chain_shift_data_registers() function callers updated.

2003-05-26  Marcel Telka  <marcel@telka.sk>

	* data/Makefile.am (nobase_dist_pkgdata_DATA): Added broadcom/bcm5421s/STEPPINGS
		and broadcom/bcm5421s/bcm5421s.
	* data/MANUFACTURERS: Added new manufacturer ID code for Boradcom (patch 743129, Matan Ziv-Av).
	* data/broadcom/PARTS: Added entry for BC5421S (patch 743129, Matan Ziv-Av).
	* data/broadcom/bcm5421s/STEPPINGS: New file (patch 743129, Matan Ziv-Av).
	* data/broadcom/bcm5421s/bcm5421s: Ditto.

2003-05-22  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AM_CONFIG_HEADER): Renamed acconfig.h configuration header to pkgcfg.h.
	* config.h: Ditto.

2003-05-22  Marcel Telka  <marcel@telka.sk>

	* config.h: New file.
	Changed all relevant source files to include this file unconditionaly.
	* Makefile.am (noinst_HEADERS): Added config.h.
	* configure.ac (AM_CONFIG_HEADER): Renamed generated configuration file
		from config.h to acconfig.h.

2003-05-22  Marcel Telka  <marcel@telka.sk>

	* src/jtag.c: Added new global variable 'big_endian'.
	* include/jtag.h: Ditto.
	* src/flash.c (flashmem): Added full support for little/big endian.
	* src/readmem.c (readmem): Ditto.
	* src/cmd/Makefile.am (libcmd_a_SOURCES): Added endian.c.
	* src/cmd/cmd.c (cmds): Added new command 'endian'.
	* src/cmd/endian.c: New file.

2003-05-21  Marcel Telka  <marcel@telka.sk>

	* Makefile.rules: New file.
	* Makefile.am: Added Makefile.rules include.
	(EXTRA_DIST): Added Makefile.rules.
	* data/Makefile.am: Added Makefile.rules include.
	* doc/Makefile.am: Ditto.
	* include/Makefile.am: Ditto.
	* po/Makevars: Ditto.
	* src/Makefile.am: Ditto.
	* src/bus/Makefile.am: Ditto.
	* src/cmd/Makefile.am: Ditto.
	* src/flash/Makefile.am: Ditto.
	* src/lib/Makefile.am: Ditto.
	* src/part/Makefile.am: Ditto.
	* src/tap/Makefile.am: Ditto.

2003-05-21  Marcel Telka  <marcel@telka.sk>

	* include/signal.h: Renamed this file ...
	* include/bssignal.h: ... to this one.
	All includes changed.
	* include/Makefile.am (noinst_HEADERS): Renamed signal.h to bssignal.h.

	* include/data_register.h: Marked local include files with double quotes.
	* include/instruction.h: Ditto.
	* include/part.h: Ditto.

2003-05-21  Marcel Telka  <marcel@telka.sk>

	* include/bsbit.h (bsbit, bsbit_t): Renamed typedef bsbit to bsbit_t.
	All occurences of the bsbit type changed to bsbit_t.

2003-05-21  Marcel Telka  <marcel@telka.sk>

	* include/part.h (part_find_signal): New function declaration.
	(part_set_signal, part_get_signal): Changed parameter signal name to signal pointer.
	* src/part/part.c (part_find_signal): New function.
	(part_set_signal, part_get_signal): Removed signal searching, used supplied pointer to signal.
	* po/POTFILES.in: Added src/bus/ixp425.c, src/bus/pxa2x0.c, and src/bus/sa1110.c.
	* src/bus/ixp425.c (bus_params_t, select_flash, unselect_flash, setup_address, set_data_in)
	(setup_data, ixp425_bus_read_start, ixp425_bus_read_next, ixp425_bus_read_end, ixp425_bus_write)
	(new_ixp425_bus): Optimized signal searching to increase bus access speed.
	* src/bus/pxa2x0.c (bus_params_t, setup_address, set_data_in, setup_data, pxa250_bus_read_start)
	(pxa250_bus_read_next, pxa250_bus_read_end, pxa250_bus_write, new_pxa250_bus): Ditto.
	* src/bus/sa1110.c (bus_params_t, setup_address, set_data_in, setup_data, sa1110_bus_read_start)
	(sa1110_bus_read_next, sa1110_bus_read_end, sa1110_bus_write, new_sa1110_bus): Ditto.
	(sa1110_bus_width): Updated part_get_signal() function call. Added explicit signal search.
	* src/cmd/get.c (cmd_get_run): Ditto.
	* src/cmd/set.c (cmd_set_run): Updated part_set_signal() function call. Added explicit signal search.

2003-05-20  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_CONFIG_FILES): Added src/cmd/Makefile.
	* include/Makefile.am (noinst_HEADERS): Added jtag.h.
	* include/jtag.h: New file.
	* po/POTFILES.in: Updated.
	* src/Makefile.am (SUBDIRS): Added cmd.
	(jtag_SOURCES): Removed jtag.h and help.c.
	(jtag_DEPENDENCIES): Added cmd/libcmd.a.
	(jtag_LDADD): Added libcmd.
	(INCLUDES): Removed JTAG_DATA_DIR.
	* src/help.c: File removed.
	* src/jtag.h: Ditto.
	* src/jtag.c (jtag_parse_line): Removed command parsing and moved it to cmd directory.
	(jtag_parse_file): Function is no longer static.
	* src/cmd/Makefile.am: New file.
	* src/cmd/cable.c: Ditto.
	* src/cmd/cmd.c: Ditto.
	* src/cmd/cmd.h: Ditto.
	* src/cmd/detect.c: Ditto.
	* src/cmd/detectflash.c: Ditto.
	* src/cmd/discovery.c: Ditto.
	* src/cmd/dr.c: Ditto.
	* src/cmd/flashmem.c: Ditto.
	* src/cmd/frequency.c: Ditto.
	* src/cmd/get.c: Ditto.
	* src/cmd/help.c: Ditto.
	* src/cmd/instruction.c: Ditto.
	* src/cmd/print.c: Ditto.
	* src/cmd/quit.c: Ditto.
	* src/cmd/readmem.c: Ditto.
	* src/cmd/script.c: Ditto.
	* src/cmd/set.c: Ditto.
	* src/cmd/shift.c: Ditto.

	* src/part/part.c (parts_print): Fixed header printing.

2003-05-20  Marcel Telka  <marcel@telka.sk>

	* src/part/data_register.c: Added l10n support. Marked messages for translation.
	* src/part/instruction.c: Ditto.
	* src/part/parse.c: Ditto.
	* po/POTFILES.in: Added above files.

2003-05-19  Marcel Telka  <marcel@telka.sk>

	* src/tap/parport/ppdev.c (ppdev_get_status): Inverted BUSY signal value.

	* include/cfi.h (cfi_chip_t, cfi_array_t): New typedefs.
	(cfi_array_free): New function prototype.
	(detect_cfi): Changed function prototype.
	* include/flash.h (set_flash_driver): Removed function prototype.
	* src/flash/cfi.c (BW16): Macro removed.
	(read2): Function removed.
	(cfi_array_free): New function.
	(detect_cfi): Added code to detect all CFI chips on the data bus.
	* src/flash.c (flashcheck): Removed bus width checking. Updated due changes in src/flash/cfi.c.
	(flashmsbin): Updated due changes in src/flash/cfi.c. Removed memory leak.
	* src/readmem.c: Added l10n support. Marked messages for translation.
	(detectflash): Updated due changes in src/flash/cfi.c. Removed memory leak.
		Removed flash driver setup.
	* po/POTFILES.in: Added src/readmem.c.

2003-05-16  Marcel Telka  <marcel@telka.sk>

	* include/part.h (part_print): New function declaration.
	* src/part/part.c: Marked all user visible messages for translation.
	(part_print): New function.
	(parts_print): Simplified. Added part_print() call.
	* po/POTFILES.in: Added src/part/part.c.

	* src/Makefile.am (jtag_DEPENDENCIES): Added flash/libflash.a.

2003-05-15  Marcel Telka  <marcel@telka.sk>

	* include/cfi.h (detect_cfi): Added new parameter `adr'.
	All relevant functions and callers updated.

2003-05-15  Marcel Telka  <marcel@telka.sk>

	* configure.ac (CPPFLAGS): Added path to the openwince include arm directory.
	* include/bus.h (bus_width): Added new `adr' parameter for this macro.
	All relevant functions and callers updated.

	* src/bus/pxa2x0.c (bus_params_t): Added last_adr and MC_registers structure members.
	(LAST_ADR, MC_pointer): New macros.
	(pxa250_bus_read_start, pxa250_bus_read_next, pxa250_bus_read_end, pxa250_bus_write): Disabled
		external bus cycles for addresses above 0x04000000.
	(pxa250_bus_width): Removed some output messages. Implemented BOOT_DEF emulation.
	(new_pxa250_bus): Implemented BOOT_DEF emulation.

2003-05-14  Marcel Telka  <marcel@telka.sk>

	* include/Makefile.am (noinst_HEADERS): Added cfi.h.
	* include/cfi.h: New file.
	* src/jtag.h (detect_cfi): Removed function declaration.
	* src/flash.c: Replaced jtag.h include with cfi.h.
	* src/readmem.c: Ditto.

	* src/flash/Makefile.am (libflash_a_SOURCES): Added cfi.c.
	* src/Makefie.am (jtag_SOURCES): Removed cfi.c.
	* src/cfi.c: Moved this file ...
	* src/flash/cfi.c: ... here and replaced jtag.h include with cfi.h one.

2003-05-14  Marcel Telka  <marcel@telka.sk>

	* include/part.h (part_t, parts_t): Macros removed.
	* src/detect.c: Replaced obsolete types `parts' with `parts_t' and `part' with `part_t'.
	* src/part/parse.c: Ditto.
	* src/part/part.c: Ditto.

2003-05-14  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_CONFIG_FILES): Added src/flash/Makefile.
	* include/Makefile.am (noinst_HEADERS): Added flash.h.
	* src/Makefile.am (SUBDIRS): Added flash.
	(jtag_SOURCES): Removed flash.h, flash-intel.c, and flash-amd.c.
	(jtag_LDADD): Added libflash.
	* src/flash-amd.c: Moved this file ...
	* src/flash/amd.c: ... here.
	* src/flash-intel.c: Moved this file ...
	* src/flash/intel.c: ... here.
	* src/flash.h: Moved this file ...
	* include/flash.h: ...here.
	* src/flash/Makefile.am: New file.

2003-05-13  Marcel Telka  <marcel@telka.sk>

	* src/jtag.c (jtag_parse_file): Added support for command scripts from stdin.

2003-04-29  Marcel Telka  <marcel@telka.sk>

	* data/MANUFACTURERS: Added new manufacturer: DEC.

	* src/jtag.c (jtag_create_jtagdir): Changed permissions for jtag directory.

	* include/part.h (part_alloc, read_part): Changed return type from `part *' to `part_t *'.
	(struct parts): Changed parts member type from `part **' to `part_t **'.
	(parts_alloc): Changed return type from `parts *' to `parts_t *'.
	* src/bus/ixp425.c (select_flash, unselect_flash, setup_address, set_data_in, setup_data):
		Changed first parameter type from `part *' to `part_t *'.
	* src/bus/pxa250.c (setup_address, set_data_in, setup_data): Ditto.
	* src/bus/sa1110.c (setup_address, set_data_in, setup_data): Ditto.

	* include/bus.h: Replaced static bus_driver_t architecture with dynamic bus_t.
		Removed direct chain_t dependency. Added `params' and `prepare' members.
	All related functions' parameter types changed.
	* src/bus/ixp425.c (bus_params_t): New structure typedef.
	(CHAIN, PART): New macros.
	(ixp425_bus_prepare, ixp425_bus_free, new_ixp425_bus): New functions.
	(ixp425_bus_driver, ixp425_bus): Renamed `ixp425_bus_driver' to `ixp425_bus' and updated
		for new bus driver architecture.
	* src/bus/pxa250.c (bus_params_t): New structure typedef.
	(CHAIN, PART): New macros.
	(pxa250_bus_prepare, pxa250_bus_free, new_pxa250_bus): New functions.
	(pxa250_bus_driver, pxa250_bus): Renamed `pxa250_bus_driver' to `pxa250_bus' and updated
		for new bus driver architecture.
	* src/bus/sa1110.c (bus_params_t): New structure typedef.
	(CHAIN, PART): New macros.
	(sa1110_bus_prepare, sa1110_bus_free, new_sa1110_bus): New functions.
	(sa1110_bus_driver, sa1110_bus): Renamed `sa1110_bus_driver' to `sa1110_bus' and updated
		for new bus driver architecture.
	* src/readmem.c (detectflash, readmem): Moved JTAG chain initialization to bus->prepare().
	* src/flash.c (flashcheck): Ditto.
	(flashmsbin, flashmem): Removed BYPASS instruction setup.
	* src/jtag.c (bus_driver, bus): Replaced `bus_driver' with `bus' global variable.
	(jtag_parse_line, main): Added `bus' deallocation.
	* src/flash.h (flash_driver_t): Changed parameter type for all function members from
		`chain_t*' to `bus_t *'.
	All function callers changed.

2003-04-04  Marcel Telka  <marcel@telka.sk>

	Version 0.3.2 released.

2003-04-04  Marcel Telka  <marcel@telka.sk>

	* data/xilinx/PARTS: Added XCR3256XL-FT256 (Jachym Holecek).
	* data/xilinx/xcr3256xl-ft256/STEPPINGS: New file (Jachym Holecek).
	* data/xilinx/xcr3256xl-ft256/xcr3256xl-ft256: Ditto.
	* data/Makefile.am (nobase_dist_pkgdata_DATA): Added new files.

2003-04-02  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_INIT): Changed version number to 0.3.2.

2003-04-02  Marcel Telka  <marcel@telka.sk>

	* include/signal.h: Changed signal typedef to signal_t (thanks to Jachym Holecek).
		All `signal' instances renamed to `signal_t'.
	* src/tap/parport.c: Ported to NetBSD/i386 (Jachym Holecek).
	* src/tap/parport/direct.c (parport_drivers): Conditionally removed direct_parport_driver.
	* configure.ac: Added test for i386_set_ioperm() function. Defined HAVE_IOPERM
		and HAVE_I386_SET_IOPERM.

2003-04-01  Marcel Telka  <marcel@telka.sk>

	* src/tap/cable/keithkoep.c: New file.
	* src/tap/Makefile.am (libtap_a_SOURCES): Added cable/keithkoep.c.
	* src/tap/cable.c (cable_drivers): Added keithkoep_cable_driver.

2003-03-19  Marcel Telka  <marcel@telka.sk>

	Version 0.3.1 released.

2003-03-19  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_CONFIG_FILES): Added doc/Makefile.
	* Makefile.am (SUBDIRS): Added doc.

2003-03-18  Marcel Telka  <marcel@telka.sk>

	* src/tap/parport/direct.c (direct_connect): Fixed cable disconnecting loop.

2003-03-18  Marcel Telka  <marcel@telka.sk>

	* src/jtag.c (jtag_parse_line) <script>: Added support for `quit' command in scripts.
	(jtag_parse_rc): Ditto.
	(jtag_parse_file): Added support for comments and `quit' command in scripts.
	(main): Added command line parameter list execution as scripts.
	* data/intel/pxa250/STEPPING: Added support for Intel PXA255 A0 (thanks to Mike Sprauve).
	* configure.ac (AC_INIT): Changed version number to 0.3.1.

2003-03-18  Marcel Telka  <marcel@telka.sk>

	* po/POTFILES.in: Added src/tap/parport/direct.c and src/tap/parport/ppdev.c.
	* src/help.c (help) <cable>: Added help for `cable ppdev' command.
	* src/tap/parport/ppdev.c (ppdev_open): Removed debug messages.
	* src/jtag.c (jtag_parse_line) <cable>: Added chain_disconnect() call before
		new cable connection.

2003-03-18  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_CHECK_HEADERS): Added test for linux/ppdev.h.
	* src/tap/Makefile.am (libtap_a_SOURCES): Added parport/ppdev.c.
	* src/tap/parport.c (parport_drivers): Added ppdev parport driver.
	* src/tap/parport/ppdev.c: New file.

2003-03-18  Marcel Telka  <marcel@telka.sk>

	* src/bsdl2jtag.c (endline): Removed compile warning.

2003-03-18  Marcel Telka  <marcel@telka.sk>

	* include/parport.h: New file. Added parport driver support.
		All cable drivers modified.
	* src/tap/parport.c: Ditto.
	* src/tap/parport/direct.c: Ditto.
	* src/jtag.c (jtag_parse_line) <cable>: Added parport driver support.
	* include/Makefile.am (noinst_HEADERS): Added parport.h.
	* src/tap/cable/generic.c: New file withgGeneric functions for cable drivers.
		All cable drivers modified.
	* src/tap/cable/generic.h: Ditto.
	* src/tap/Makefile.am (libtap_a_SOURCES): Added parport.c, parport/direct.c, cable/generic.h,
		and cable/generic.c.

	* include/cable.h: Added dynamic cable objects. Added cable interpose functions.
		All callers changed.
	* src/tap/cable.c: Ditto.

	* include/chain.h (chain_connect): Function removed.
	(chain_disconnect): New function.
	* src/tap/chain.c (chain_free): Modified for chain_disconnect() call.
	(chain_connect): Removed.
	(chain_disconnect): New function.

2003-03-17  Marcel Telka  <marcel@telka.sk>

	* src/Makefile.am (bin_PROGRAMS, bsdl2jtag_SOURCES): Added new bsdl2jtag conversion
		tool (Matan Ziv-Av).
	* src/bsdl2jtag.c: New file (Matan Ziv-Av).

2003-03-14  Marcel Telka  <marcel@telka.sk>

	* configure.ac (CPPFLAGS): Added common include paths.
	* src/Makefile.am (INCLUDES): Removed common include paths.
	* src/bus/Makefile.am (INCLUDES): Ditto.
	* src/part/Makefile.am (INCLUDES): Ditto.
	* src/tap/Makefile.am (INCLUDES): Ditto.

2003-03-13  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_CONFIG_HEADERS): Replaced this `new' macro ...
	(AM_CONFIG_HEADER): ... with this `old' one to make build compatible with automake-1.6.
	(AM_GNU_GETTEXT_VERSION): Relaxed version number from 0.11.5 to 0.11.4.
	* src/Makefile.am (jtag_LDADD): Added LIBINTL.
	(LIBS): Removed LIBINTL.
	(DEFS): Removed whole content ...
	(INCLUDE): ... and added it here.

2003-03-13  Marcel Telka  <marcel@telka.sk>

	* include/chain.h: New file.
	* src/tap/chain.c: Ditto.
	* src/tap/Makefile.am (libtap_a_SOURCES): Added chain.c.
	* include/Makefile.am (noinst_HEADERS): Added chain.h.
	* src/jtag.c: Encapsulated parts, cable and TAP state into one object - chain.
		All relevant function parameters changed to `chain'.
	* src/tap/state.c: `trst' state moved to cable drivers.
		All cable drivers changed.
	* include/cable.h (cable_driver_t) <set_trst>: Changed return value from void to int.
		All cable drivers changed.
	(cable_driver_t) <get_trst>: New function.
		Implemented this function to all cable drivers.
	* include/part.h (part_shift_instruction, part_shift_data_register)
	(parts_shift_instructions, parts_shift_data_registers): Funcions removed.
	* src/part/part.c (part_shift_instruction, part_shift_data_register)
	(parts_shift_instructions, parts_shift_data_registers): Ditto.
	* src/tap/cable/arcom.c: Removed dependency on state.h.
	* src/tap/cable/byteblaster.c: Ditto.
	* src/tap/cable/dlc5.c: Ditto.
	* src/tap/cable/ea253.c: Ditto.
	* src/tap/cable/ei012.c: Ditto.
	* src/tap/cable/mpcbdm.c: Ditto.
	* src/tap/cable/wiggler.c: Ditto.

	* include/state.h (bit): Replaced with common.h include.
	(Unknown_State, Run_Test_Idle, Select_DR_Scan, Select_IR_Scan): Removed parentheses.
	* include/tap.h (write_command): Removed unused declaration.

	* src/detect.h: Removed file.
	* src/jtag.h: New file with common jtag function declarations.
	* src/Makefile.am (jtag_SOURCES): Removed detect.h, added jtag.h.
	* src/cfi.c: Added jtag.h include. Moved common function declarations to jtag.h file.
	* src/detect.c: Ditto.
	* src/discovery.c: Ditto.
	* src/flash.c: Ditto.
	* src/help.c: Ditto.
	* src/jtag.c: Ditto.
	* src/readmem.c: Ditto.

	* src/jtag.c (jtag_create_jtagdir, jtag_load_history, jtag_save_history, jtag_parse_line)
	(jtag_readline_loop, jtag_parse_file, jtag_parse_rc): Changed functions to `static'.

	* src/tap/tap.c: Added l10n support.
	* po/POTFILES.in: Added src/tap/chain.c and src/tap/tap.c.

2003-03-13  Marcel Telka  <marcel@telka.sk>

	* include/part.h: Renamed types part to part_t, parts to parts_t,
		tap_register to tap_register_t.
	* include/register.h: Renamed tap_register type to tap_register_t.

2003-03-11  Marcel Telka  <marcel@telka.sk>

	* configure.ac: Improved openwince include package detection.

2003-03-07  Marcel Telka  <marcel@telka.sk>

	* src/lib/getdelim.c: Added unistd.h include for ssize_t.
	* src/lib/getline.c: Ditto.

2003-03-06  Marcel Telka  <marcel@telka.sk>

	* configure.ac: Added test for readline library.
	* src/Makefile.am (jtag_LDADD): Removed readline and ncurses.

2003-03-06  Marcel Telka  <marcel@telka.sk>

	* autogen.sh: Added test for autoreconf fail.

2003-02-25  Marcel Telka  <marcel@telka.sk>

	Version 0.3 released.

2003-02-25  Marcel Telka  <marcel@telka.sk>

	* src/tap/cable.c: Added config.h include.

2003-02-25  Marcel Telka  <marcel@telka.sk>

	* data/MANUFACTURERS: Added Hitachi (Matan Ziv-Av).
	* data/Makefile.am (nobase_dist_pkgdata_DATA): Added Hitachi SH7727
		files (Matan Ziv-Av).
	* data/hitachi/PARTS: New file (Matan Ziv-Av).
	* data/hitachi/sh7727/STEPPINGS: Ditto.
	* data/hitachi/sh7727/sh7727: Ditto.

2003-02-25  Marcel Telka  <marcel@telka.sk>

	* data/MANUFACTURERS: Added Broadcom (Matan Ziv-Av).
	* data/Makefile.am (nobase_dist_pkgdata_DATA): Added Broadcom BCM1250
		files (Matan Ziv-Av).
	* data/broadcom/PARTS: New file (Matan Ziv-Av).
	* data/broadcom/bcm1250/STEPPINGS: Ditto.
	* data/broadcom/bcm1250/bcm1250: Ditto.

2003-02-21  Marcel Telka  <marcel@telka.sk>

	* src/help.c (help): Marked translatable strings.
	* src/jtag.c (jtag_parse_line): Ditto.
	(jtag_parse_file): Ditto.
	(main): Ditto.
	* po/POTFILES.in: Added src/help.c and src/jtag.c.

2003-02-21  Marcel Telka  <marcel@telka.sk>

	* src/jtag.c (main): Added conditional compilation for l10n.

2003-02-20  Marcel Telka  <marcel@telka.sk>

	* src/Makefile.am (jtag_SOURCES): Added missing flash.h.
	* src/jtag.c: Added missing string.h include. Moved gettext.h include
		to the top level of the include list.
	* src/help.c: Moved gettext.h include to the top level of the include list.

2003-02-20  Marcel Telka  <marcel@telka.sk>

	* Makefile.am (SUBDIRS): Removed intl.
	* autogen.sh: Replaced subsequent call of auto* tools with autoreconf one.
	* configure.ac (AC_CONFIG_FILES): Removed intl/Makefile.
	(AM_GNU_GETTTEXT): Added 'external' parameter.

2003-02-19  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_CONFIG_HEADERS): Added new macro with config.h.
	* autogen.sh: Added autoheader invocation.

2003-02-18  Marcel Telka  <marcel@telka.sk>

	* include/Makefile.am (noinst_HEADERS): Added gettext.h.

2003-02-18  Marcel Telka  <marcel@telka.sk>

	* autogen.sh: Added autopoint call. Added '-I m4' parameter for aclocal.
	* Makefile.am (SUBDIRS): Added intl, include and po.
	(DIST_SUBDIRS): Removed.
	(ACLOCAL_AMFLAGS): Added '-I m4'.
	* configure.ac (AC_INIT): Changed version number to 0.3.
	(AC_CONFIG_FILES): Added intl/Makefile and po/Makefile.in.
	(AM_GNU_GETTEXT): Added.
	(AM_GNU_GETTEXT_VERSION): Added with version 0.11.5.
	* include/gettext.h: Copied new file from gettext share.
	* po/LINGUAS: Added new empty file.
	* po/Makevars: Added new file.
	* po/POTFILES.in: Added new empty file.
	* src/Makefile.am (INCLUDES): Removed JTAG_DATA_DIR.
	(localedir): Added path to locale directory.
	(DEFS): Added JTAG_DATA_DIR and LOCALEDIR.
	(LIBS): Added LIBINTL.
	* src/help.c: Included gettext.h.
	* src/jtag.c: Included gettext.h.
	(main): Added l10n support.

2003-02-18  Marcel Telka  <marcel@telka.sk>

	* src/flash.c (flashmsbin): Changed flash error message.
	(flashmem): Changed output messages. Enabled verify for 2 x 16, not
		for 1 x 16. Added better end of file test for verify.

2003-02-18  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_CONFIG_FILES): Added src/bus/Makefile.
	* src/bus.h: Moved this file...
	* include/bus.h: ...here.
	* include/Makefile.am (noinst_HEADERS): Added bus.h.
	* src/ixp425.c: Moved this file...
	* src/bus/ixp425.c: ...here.
	* src/pxa250.c: Moved this file...
	* src/bus/pxa2x0.c: ...here.
	* src/sa1110.c: Moved this file...
	* src/bus/sa1110.c: ...here.
	* src/bus/Makefile.am: New file.
	* src/Makefile.am (SUBDIRS): Added bus.
	(jtag_SOURCES): Removed bus.h, ixp425.c, pxa250.c, sa1110.c.
	(jtag_DEPENDENCIES): Added libbus.a.
	(jtag_LDADD): Ditto.

2003-02-18  Marcel Telka  <marcel@telka.sk>

	* src/tap/cable.c: Added <sys/types.h> include for useconds_t on some systems.
	* src/flash-amd.c (amdstatus29): Disabled unused function.
	(amdisprotected): Ditto.

2003-02-17  Marcel Telka  <marcel@telka.sk>

	* src/jtag.c (jtag_parse_line): Fixed segfault for 'set' command.

2003-02-17  Marcel Telka  <marcel@telka.sk>

	* src/jtag.c (jtag_parse_line): Added new 'get signal' command.
	* src/help.c (help): Added help for new 'get signal' command.

2003-02-17  Marcel Telka  <marcel@telka.sk>

	* data/intel/pxa250/pxa250: Changed comment.
	* data/intel/pxa250/pxa250c0: Ditto.

2003-02-17  Marcel Telka  <marcel@telka.sk>

	* src/help.c (help): Added help for new command 'script'.

2003-02-17  Marcel Telka  <marcel@telka.sk>

	* src/flash-intel.c (intel_flash_autodetect): Fixed Intel flash algorithm Id.
	(intel_flash_autodetect32): Ditto.

2003-02-17  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_CHECK_FUNCS): Added getdelim and getline.
	(AC_CONFIG_FILES): Added src/lib/Makefile.
	* src/Makefile.am (SUBDIRS): Added lib.
	(jtag_DEPENDENCIES): Added libjtaglib.a.
	(jtag_LDADD): Ditto.
	* src/jtag.c: Added portable getline() declaration.
	* src/lib/Makefile.am: New file.
	* src/lib/getdelim.c: Ditto.
	* src/lib/getline.c: Ditto.

2003-02-16  Marcel Telka  <marcel@telka.sk>

	* src/jtag.c (jtag_creae_jtagdir): New function (Alessandro Zummo).
	(jtag_load_history): Ditto.
	(jtag_save_history): Ditto.
	(jtag_readline_loop): Ditto.
	(jtag_parse_file): Ditto.
	(jtag_parse_rc): Ditto.
	(jtag_parse_line): New funcion, content extracted from main function, added new
		'script' command (Alessandro Zummo).
	(main): Moved parsing capability to jtag_parse_line function (Alessandro Zummo).

2003-02-16  Marcel Telka  <marcel@telka.sk>

	* src/flash.c (flash_drivers): Added missing 1 x 16 Intel flash driver.

2003-02-16  Marcel Telka  <marcel@telka.sk>

	* src/jtag.c (main): Corrected error message for 'instruction' command and added
		a notice when an instruction is unknown (Alessandro Zummo).

2003-02-16  Marcel Telka  <marcel@telka.sk>

	* src/jtag.c (main): Fixed segfault in 'detectflash'. Thanks to August Hörandl
		for reporting this issue.

2003-02-16  Marcel Telka  <marcel@telka.sk>

	* src/Makefile.am (jtag_SOURCES): Added new flash files with flash driver
		framework (August Hörandl).
	* src/flash-amd.c: New file with AMD flash support (August Hörandl).
	* src/flash-intel.c: New file. Extracted Intel flash support from src/flash.c
		file (August Hörandl, me).
	* src/flash.c (set_flash_driver): New function. Added support for flash
		drivers (August Hörandl).
	(flashceck): Ditto.
	(flashmsbin): Added support for flash driver (August Hörandl).
	(flashmem): Ditto.
	(flash_erase_block): Function moved to src/flash-intel.c (August Hörandl).
	(flash_unlock_block): Ditto.
	(flash_program): Ditto.
	(flash_erase_block32): Ditto.
	(flash_unlock_block32): Ditto.
	(flash_program32): Ditto.
	* src/flash.h: New file. Interface for flash drivers (August Hörandl).
	* src/help.c (help): Added list of supported flash drivers for 'flashmem'
		command (August Hörandl).
	* src/readmem.c (detectflash): Removed Intel specific code. Enhanced output
		messages (August Hörandl).

2003-02-14  Marcel Telka  <marcel@telka.sk>

	* src/jtag.c (jtag): Added command history load/save support (August Hörandl).

2003-02-14  Marcel Telka  <marcel@telka.sk>

	* src/readmem.c (readmem): Added support for 1 x 16 bit memory configuration and
		buffered file writes (Christian Pellegrin).
	* src/flash.c (flashmem): Added support for 1 x 16 bit flash configuration and
		buffered file reads (Christian Pellegrin).
	(flash_erase_block): Added debug messages (Christian Pellegrin).
	(flash_unlock_block): Added debug message (Christian Pellegrin).
	(flash_program): Ditto.

2003-02-14  Marcel Telka  <marcel@telka.sk>

	* src/cfi.c (detect_cfi): Added support for 1 x 16 bit flash configuration (Christian
		Pellegrin).
	* src/detect.c (find_record): Added error message if file cannot be opened (Christian
		Pellegrin).

2003-02-14  Marcel Telka  <marcel@telka.sk>

	* data/xilinx/xc2c256-tq144/xc2c256-tq144: Added JTAG declarations for Xilinx
		XC2C256-TQ144 (Alessandro Zummo).
	* data/xilinx/xc2c256-tq144/STEPPINGS: Ditto.
	* data/xilinx/PARTS: Ditto.
	* data/Makefile.am: Ditto.

2003-02-14  Marcel Telka  <marcel@telka.sk>

	* src/ixp425.c (setup_address): Removed set_gpio() call.
	(set_gpio): Removed unused function.

2003-02-13  Marcel Telka  <marcel@telka.sk>

	* src/ixp425.c: Added bus driver for Intel IXP425 (Christian Pellegrin).
	* src/bus.h: Ditto.
	* src/jtag.c (main): Ditto.
	* src/Makefile.am (jtag_SOURCES): Added ixp425.c (Christian Pellegrin).

2003-02-13  Marcel Telka  <marcel@telka.sk>

	* data/intel/ixp425/ixp425: Added JTAG declarations for Intel IXP425 (Christian
		Pellegrin).
	* data/intel/ixp425/STEPPINGS: Ditto.
	* data/intel/PARTS: Ditto.
	* data/Makefile.am: Ditto.

2003-02-13  Marcel Telka  <marcel@telka.sk>

	* include/bsbit.h (BSBIT_BIDIR): Added new macro (Christian Pellegrin).
	* src/part/bsbit.c (bsbit_alloc): Added support for bidirectional pins (Christian
		Pellegrin).
	* src/part/parse.ci (read_part): Ditto.

2003-02-10  Marcel Telka  <marcel@telka.sk>

	* src/sa1110.c (sa1110_bus_read_start): Added support for all six static memory banks.
		The function is now 'static'.
	(sa1110_bus_read_end): Ditto.
	(sa1110_bus_read_next): The function is now 'static'.
	(sa1110_bus_read): Ditto.
	(sa1110_bus_width): Ditto.
	(sa1110_bus_write): Added support for all six static memory banks (bug 682660).
		The function is now 'static'.

2003-02-07  Marcel Telka  <marcel@telka.sk>

	* src/tap/cable/arcom.c: Added support for Arcom JTAG Cable (patch 682310,
		Ian Campbell).
	* src/tap/cable.c: Ditto.
	* src/tap/Makefile.am: Ditto.

2003-02-07  Marcel Telka  <marcel@telka.sk>

	* src/tap/cable/mpcbdm.c (mpcbdm_clock): Fixed port address for TRST & TRST1.

2003-02-07  Marcel Telka  <marcel@telka.sk>

	* src/tap/cable/mpcbdm.c: Added support for Mpcbdm JTAG Cable (Christian Pellegrin).
	* src/tap/cable.c: Ditto.
	* src/tap/Makefile.am: Ditto.

2003-02-04  Marcel Telka  <marcel@telka.sk>

	* src/help.c (help): Added missing short help description for 'set' command.
	* src/jtag.c (main): Added test for uninitialized ps for 'set' command.
	* src/tap/tap.c (tap_shift_register): Changed final state to Run-Test/Idle
		for immediately propagation of the new BSR values.

2003-02-04  Marcel Telka  <marcel@telka.sk>

	* src/jtag.c (main): Added more checks for syntax errors. Added support for
		printing input data registers - command 'dr'. Added 'set signal'
		command.
	* src/help.c (help): Updated help for 'dr' command, added help for 'set
		signal.

2003-02-04  Marcel Telka  <marcel@telka.sk>

	Version 0.2.2 released.

2003-02-04  Marcel Telka  <marcel@telka.sk>

	* configure.ac: Changed version number to 0.2.2.

2003-02-04  Marcel Telka  <marcel@telka.sk>

	* src/flash.c (flashmsbin): Changed instructions to BYPASS after successfull
		flash.
	(flashmem): Ditto.

2003-01-30  Marcel Telka  <marcel@telka.sk>

	* src/tap/cable/byteblaster.c (byteblaster_init): Added support for
		parallel ports with I/O addresses above 0x3FF.
	(byteblaster_done): Ditto.
	* src/tap/cable/dlc5.c (dlc5_init): Ditto.
	(dlc5_done): Ditto.
	* src/tap/cable/ea253.c (ea253_init): Ditto.
	(ea253_done): Ditto.
	* src/tap/cable/ei012.c (ei012_init): Ditto.
	(ei012_done): Ditto.
	* src/tap/cable/wiggler.c (wiggler_init): Ditto.
	(wiggler_done): Ditto.

2003-01-19  Marcel Telka  <marcel@telka.sk>

	* configure.ac: Added AC_GNU_SOURCE.

2003-01-18  Marcel Telka  <marcel@telka.sk>

	* src/jtag.c (main): Added new 'frequency' command.
	* src/help.c (help): Added help for 'frequency' command.
	* include/cable.h (cable_wait): Added new function prototype.
	* src/tap/cable.c (cable_wait): Added new function.
	* src/tap/cable/byteblaster.c (byteblaster_clock): Added support for TCK
		frequency limit.
	(byteblaster_get_tdo): Ditto.
	* src/tap/cable/dlc5.c (dlc5_clock): Ditto.
	(dlc5_get_tdo): Ditto.
	* src/tap/cable/ea253.c (ea253_clock): Ditto.
	(ea253_get_tdo): Ditto.
	* src/tap/cable/ei012.c (ei012_clock): Ditto.
	(ei012_get_tdo): Ditto.
	* src/tap/cable/wiggler.c (wiggler_clock): Ditto.
	(wiggler_get_tdo): Ditto.

2003-01-16  Marcel Telka  <marcel@telka.sk>

	* data/MANUFACTURERS: Added Cypress (patch 669157). Thanks to Chris Ellec.

2003-01-13  Marcel Telka  <marcel@telka.sk>

	Version 0.2.1 released.


2003-01-13  Marcel Telka  <marcel@telka.sk>

	* include/state.h: Added new function tap_state_reset().
	* src/tap/state.c (tap_state_reset): Ditto.
	* src/tap/tap.c (tap_reset): Added explicit TAP state reset.

2003-01-13  Marcel Telka  <marcel@telka.sk>

	* configure.ac: Changed version number to 0.2.1.

2003-01-11  Marcel Telka  <marcel@telka.sk>

	* src/tap/cable/bytebaster.c: Added support for Altera ByteBlaster family cables.
	* src/tap/cable.c: Ditto.
	* src/tap/Makefile.am: Ditto.
	* src/help.c (help): Increased space for cable short name.

2003-01-11  Marcel Telka  <marcel@telka.sk>

	* src/tap/cable/wiggler.c: Added support for Macraigor Wiggler JTAG Cable (Stas Khirman).
	* src/tap/cable.c: Ditto.
	* src/tap/Makefile.am: Ditto.

2003-01-10  Marcel Telka  <marcel@telka.sk>

	* src/tap/cable.c: Added missing stdlib.h include (bug 665923). Thanks to Chris Ellec.

2003-01-09  Marcel Telka  <marcel@telka.sk>

	* src/jtag.c (main): Fixed minor typo in 'cable' output message.

2003-01-09  Marcel Telka  <marcel@telka.sk>

	* src/discovery.c (detect_register_size): Changed register length test iteration.
		Now the test iterates to MAX_REGISTER_LENGTH, not to MAX_REGISTER_LENGTH - 1.

2003-01-08  Marcel Telka  <marcel@telka.sk>

	Version 0.2 released.

2003-01-08  Marcel Telka  <marcel@telka.sk>

	* include/cable.h: Unified and simplified cable driver handling, added driver name
		and driver description into driver interface structure.
	* src/help.c (help): Ditto.
	* src/jtag.c (main): Ditto.
	* src/tap/Makefile.am: Ditto.
	* src/tap/cable.c: Ditto.
	* src/tap/cable/dlc5.c: Ditto.
	* src/tap/cable/ea253.c: Ditto.
	* src/tap/cable/ei012.c: Ditto.

2003-01-08  Marcel Telka  <marcel@telka.sk>

	* include/cable.h: Added cable driver for ETC EI012 JTAG Cable.
	* src/help.c (help): Ditto.
	* src/jtag.c (main): Ditto.
	* src/tap/Makefile.am: Ditto.
	* src/tap/cable/ei012.c: Ditto.

2003-01-08  Marcel Telka  <marcel@telka.sk>

	* configure.ac: Bumped version number to 0.2, added check-new and dist-bzip2
		parameters to AM_INIT_AUTOMAKE() invocation.
	* src/jtag.c: Updated year in initial banner.

2003-01-08  Marcel Telka  <marcel@telka.sk>

	* include/cable.h: Added cable driver for Xilinx DLC5 JTAG Parallel Cable III.
	* src/help.c (help): Ditto.
	* src/jtag.c (main): Ditto.
	* src/tap/Makefile.am: Ditto.
	* src/tap/cable/dlc5.c: Ditto.

2003-01-08  Marcel Telka  <marcel@telka.sk>

	* include/Makefile.am: Removed ctrl.h, added cable.h.
	* include/ctrl.h: Removed obsolete file.
	* include/cable.h: Added common declarations for JTAG cable drivers.
	* src/detect.c: Replaced ctrl.h include with cable.h (JTAG cable driver support).
	* src/discovery.c: Ditto.
	* src/tap/tap.c: Ditto.
	* src/help.c (help): Added help for new command 'cable'.
	* src/jtag.c (main): Added support for JTAG cable drivers, added new command 'cable'.
	* src/tap/Makefile.am: Removed ctrl.c, added cable/ea253.c, updated includes.
	* src/tap/ctrl.c: Removed obsolete file.
	* src/tap/state.c: Changed default TRST state to 1.
	* src/tap/cable/ea253.c: Added driver for EA253 JTAG cable.

2003-01-06  Marcel Telka  <marcel@telka.sk>

	* src/discovery.c (discovery): Fixed memory leaks, added out of memory test,
		added test for invalid IR length.

2003-01-05  Marcel Telka  <marcel@telka.sk>

	* include/register.h (register_inc, register_dec, register_shift_right,
		register_shift_left): Added new functions.
	* src/tap/register.c (register_inc, register_dec, register_shift_right,
		register_shift_left): Ditto.
	* src/Makefile.am: Added discovery.c file.
	* src/discovery.c: Added new file with discovery() implementation.
	* src/help.c (help): Added help for 'discovery' command.
	* src/jtag.c (main): Added 'discovery' command.
	* src/tap/tap.c (write_command): Removed unused function.

2002-12-16  Marcel Telka  <marcel@telka.sk>

	* data/Makefile.am: Renamed intel/pxa250/pxa260 to intel/pxa250/pxa250c0.

2002-12-11  Marcel Telka  <marcel@telka.sk>

	* data/intel/pxa250/STEPPINGS: Renamed file pxa260 to pxa250c0.
	* data/intel/pxa260: Ditto.
	* data/intel/pxa250c0: Ditto.

2002-11-29  Marcel Telka  <marcel@telka.sk>

	* src/flash.c (flashmsbin, flashmem): Fixed crash if flash memory is not detected.
	* src/readmem.c (detectflash): Ditto.

2002-11-27  Marcel Telka  <marcel@telka.sk>

	* data/xilinx/xcr3128xl-cs144/xcr3128xl-cs144: Added pins and BSR bits.

2002-11-26  Marcel Telka  <marcel@telka.sk>

	* data/xilinx/xcr3128xl-cs144/xcr3128xl-cs144: Added user-defined
		instructions.

2002-11-25  Marcel Telka  <marcel@telka.sk>

	Version 0.1 released.

